package com.hys.app.service.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.CustomerDO;
import com.hys.app.model.erp.dto.CustomerDTO;
import com.hys.app.model.erp.dto.CustomerQueryParams;
import com.hys.app.model.erp.vo.CustomerVO;

/**
 * 企业业务层接口
 *
 * @author 张崧
 * 2024-03-25 15:44:10
 */
public interface CustomerManager extends BaseService<CustomerDO> {


    WebPage<CustomerVO> list(CustomerQueryParams queryParams);


    void add(CustomerDTO req);

    void edit(CustomerDTO request);


    CustomerVO getDetail(Long id);

    void delete(Long id);
}

